Update a specific incident status page event by id
curl --request PUT \
--url https://api.rootly.com/v1/status-page-events/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "incident_status_page_events",
"attributes": {
"event": "<string>",
"status_page_id": "<string>",
"status": "investigating",
"notify_subscribers": false,
"should_tweet": false
}
}
}
'{
"data": {
"id": "<string>",
"type": "incident_status_page_events",
"attributes": {
"event": "<string>",
"started_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"status_page_id": "<string>",
"status": "investigating",
"notify_subscribers": true,
"should_tweet": true
}
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Show child attributes
incident_status_page_event updated
Show child attributes
Was this page helpful?
curl --request PUT \
--url https://api.rootly.com/v1/status-page-events/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "incident_status_page_events",
"attributes": {
"event": "<string>",
"status_page_id": "<string>",
"status": "investigating",
"notify_subscribers": false,
"should_tweet": false
}
}
}
'{
"data": {
"id": "<string>",
"type": "incident_status_page_events",
"attributes": {
"event": "<string>",
"started_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"status_page_id": "<string>",
"status": "investigating",
"notify_subscribers": true,
"should_tweet": true
}
}
}